io.vertx.rxjava.ext.auth.oauth2.providers

## Class SoundcloudAuth

- java.lang.Object
- - io.vertx.rxjava.ext.auth.oauth2.providers.SoundcloudAuth

-     public class SoundcloudAuth
      extends Object

  Simplified factory to create an for SoundCloud.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<SoundcloudAuth>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SoundcloudAuth(SoundcloudAuth delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OAuth2Auth` | `create(Vertx vertx, String clientId, String clientSecret)` Create a OAuth2Auth provider for SoundCloud
    `static OAuth2Auth` | `create(Vertx vertx, String clientId, String clientSecret, HttpClientOptions httpClientOptions)` Create a OAuth2Auth provider for SoundCloud
    `boolean` | `equals(Object o)`
    `SoundcloudAuth` | `getDelegate()`
    `int` | `hashCode()`
    `static SoundcloudAuth` | `newInstance(SoundcloudAuth arg)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<SoundcloudAuth> __TYPE_ARG

  - ### Constructor Detail

    - #### SoundcloudAuth

          public SoundcloudAuth(SoundcloudAuth delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public SoundcloudAuth getDelegate()

    - #### create

          public static OAuth2Auth create(Vertx vertx,
                                          String clientId,
                                          String clientSecret)

      Create a OAuth2Auth provider for SoundCloud
      Parameters:
        `vertx` -
        `clientId` - the client id given to you by SoundCloud
        `clientSecret` - the client secret given to you by SoundCloud
      Returns:

    - #### create

          public static OAuth2Auth create(Vertx vertx,
                                          String clientId,
                                          String clientSecret,
                                          HttpClientOptions httpClientOptions)

      Create a OAuth2Auth provider for SoundCloud
      Parameters:
        `vertx` -
        `clientId` - the client id given to you by SoundCloud
        `clientSecret` - the client secret given to you by SoundCloud
        `httpClientOptions` - custom http client options
      Returns:

    - #### newInstance

          public static SoundcloudAuth newInstance(SoundcloudAuth arg)

Copyright © 2018 Eclipse. All rights reserved.